#!/usr/bin/env bash

########################################################################################################################
# This job creates symlinks between the output of ecEarth and CMOR json tables 
# to be executed by the tasks.
#
# In this script, I call data the original data to be symlinked and workflow the 
# workflow that is executing this script
#
# VARIABLE INDEX:
#
# ECEARTH_OUTPUT: path to the experiment which we will link its data (/gpfs/scratch/bsc32/bsc032371/cxxx)
# AVAILABLE_COMPONENTS: components that are in the data (ifs, nemo, lpjg) 
# DATA_MEMBER%: member of the original data (fc0)
# DATA_CHUNK%: chunk we will link to 
#
#
# Manuel G. Marciani
# BSC-CNS - Earth Sciences Department
# 2024
#
########################################################################################################################

# this is the workflow's member, which is different from the data's
MEMBER=%MEMBER%
# this is the workflow's chunk, which is different from the data's
CHUNK=%CHUNK% 
# the start date should match the original data's (e.g. both 19900102) 
STARTDATE=%SDATE%

# check if the folder exists
for component in %AVAILABLE_COMPONENTS%; do
    mkdir -p %ROOTDIR%/$STARTDATE/$MEMBER/runtime/output/$component/
    pushd %ROOTDIR%/$STARTDATE/$MEMBER/runtime/output/$component/
    ln -s %ECEARTH_OUTPUT%/$STARTDATE/%DATA_MEMBER%/runtime/output/$component/00%DATA_CHUNK% 00$CHUNK
    popd 
done
